Subject: Re: [clue] Taxonomy

From: Stephen Botzko <[email-masked]>
Date: Thu, 1 May 2014 07:39:08 -0400

Precision, clarity, and consistency are of course is good ideas.

The use cases were just published, and that RFC uses "participant"
consistently to mean "person".and "site" to mean room/location.  I don't
think anyone will think that "participants" in that RFC are using the
RFC4353 definition.   If someone did, that would have surfaced in the IETF
last call, AD reviews, etc.  It didn't.

The requirements document is just entering the editors queue, and uses
"participant" exactly once (in the definition of endpoint).  That use
cross-references RFC4353.  It consistently uses "users" to describe people.

I propose that we not re-publish the existing RFC, and also that we leave
the requirements document usage as it is.  I guess we could use AUTH48 to
revise "user" usage, but only if we close on the terminology very quickly.

Also, I agree that we ought to make sure that the remaining documents are
aligned on these basic terms, and that those terms are also used
consistently with existing RFCs as much as possible.

"Person information" just doesn't sound right to me though.  "User
Information" and "Participant Information" simply sound better. Perhaps
that is because I speak American, and not English?

Stephen Botzko

On Wed, Apr 30, 2014 at 11:06 PM, Christian Groves <
[email-masked]> wrote:

> Hello all,
>
> At the London meeting it was mentioned there is a potential conflict in
> the way that CLUE uses some of the terminology from the RTP taxonomy draft
> (draft-ietf-avtext-rtp-grouping-taxonomy).
>
> I think this mainly relates to the use of the term "Participant".
>
> In cl.2.2.3 of the taxonomy draft there is a definition for the term
> "participant":
> /"A participant is an entity reachable by a single signaling address,//
> //   and is thus related more to the signaling context than to the media//
> //   context."
>
> /In the XCON data model cl.4.6.5/[RFC6501] it uses the term "user" to
> describe the concept outlined in the draft definition. RFC4575 also uses
> the term "user" for this.
>
> In CLUE we use participant as per the definition above (i.e. in the
> definition of Endpoint and MCU) but we also use "participant" to mean
> someone captured by the endpoint, i.e. the people in the room.
>
> In order to minimise any confusion between the two uses I propose that we
> change the later use to "person" in our documents.
>
> For example: in the framework:
> - "Participant Information" becomes "Person Information",
> - "participant type" becomes "person type".
> - Where "participant" is used in the text it becomes "person" or "people".
>   i.e.   Table - Captures the conference table with seated people.
>     Individual - Captures an individual person.
>
>
> Christian
>
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue
>

---

From: Christian Groves <[email-masked]>
Date: Thu, 01 May 2014 21:56:45 +1000

Hello Stephen,

Please see below.

Regards, Christian

On 1/05/2014 9:39 PM, Stephen Botzko wrote:
> consistently to mean "person".and "site" to mean room/location.  I 
> don't think anyone will think that "participants" in that RFC are 
> using the RFC4353 definition. If someone did, that would have surfaced 
> in the IETF last call, AD reviews, etc.  It didn't.
[CNG] It didn't come up during review but it did come up in London that 
we should check the CLUE work against the taxonomy.
> I propose that we not re-publish the existing RFC, and also that we 
> leave the requirements document usage as it is.  I guess we could use 
> AUTH48 to revise "user" usage, but only if we close on the terminology 
> very quickly.
[CNG] I thinking to re-open the existing RFC or those in the RFC queue. 
Its not worth the effort to update those as they're largely informative 
and this isn't a big issue.
>
> Also, I agree that we ought to make sure that the remaining documents 
> are aligned on these basic terms, and that those terms are also used 
> Information" and "Participant Information" simply sound better. 
> Perhaps that is because I speak American, and not English?
[CNG] I'm not particularly fond of "Person Information" either but I was 
trying to use "participant" or "user" which already have a definition in 
the XCON model. I'm just thinking forward and if we do eventually update 
XCON to include some information related to clue it would seem strange 
to have a hierarchy:

Users->User->Endpoint->"capture"->participant

when RFC6501 talks about User=Participant.

>
> Stephen Botzko
>
>
>
>
> On Wed, Apr 30, 2014 at 11:06 PM, Christian Groves 
> <[email-masked] <mailto:[email-masked]>> 
> wrote:
>
>     Hello all,
>
>     At the London meeting it was mentioned there is a potential
>     conflict in the way that CLUE uses some of the terminology from
>     the RTP taxonomy draft (draft-ietf-avtext-rtp-grouping-taxonomy).
>
>     In cl.2.2.3 of the taxonomy draft there is a definition for the
>     term "participant":
>     /In the XCON data model cl.4.6.5/[RFC6501] it uses the term "user"
>     to describe the concept outlined in the draft definition. RFC4575
>     also uses the term "user" for this.
>
>     In CLUE we use participant as per the definition above (i.e. in
>     the definition of Endpoint and MCU) but we also use "participant"
>     to mean someone captured by the endpoint, i.e. the people in the room.
>
>     In order to minimise any confusion between the two uses I propose
>     that we change the later use to "person" in our documents.
>
>     [email-masked] <mailto:[email-masked]>

---

From: Stephen Botzko <[email-masked]>
Date: Thu, 1 May 2014 08:09:13 -0400

in-line

On Thu, May 1, 2014 at 7:56 AM, Christian Groves <
[email-masked]> wrote:

> [CNG] It didn't come up during review but it did come up in London that we
> should check the CLUE work against the taxonomy.

[SB] As you know I wasn't there, but I agree that is a good idea.

> Its not worth the effort to update those as they're largely informative and
> this isn't a big issue.
>
> [SB]That will certainly make resolving this simpler.

> XCON to include some information related to clue it would seem strange to
> have a hierarchy:

> when RFC6501 talks about User=Participant.

[SB] I'm glad to know its not just me who finds "Person information" a bit
off..  Maybe someone can think of a term that reads better.  To some
degree, we are constrained because previous RFCs needlessly took an
anthropomorphic approach when describing equipment.  IMO that should have
been easily been avoided back then, but that ship has sailed.

>> [email-masked] <mailto:[email-masked]>>
>> wrote:
>>
>>     Hello all,
>>

---

From: "Duckworth, Mark" <[email-masked]>
Date: Tue, 13 May 2014 13:54:27 -0700

I agree we should use the term “person” instead of “participant” when we really mean a person.  Even though “person information” sounds a bit odd, I think it’s better than overloading the meaning of participant which is already defined to mean something else in those related RFCs.

So if nobody objects, I’ll make the change in the framework document.

Mark

From: clue [mailto:[email-masked]] On Behalf Of Stephen Botzko
Sent: Thursday, May 01, 2014 8:09 AM
To: Christian Groves
Cc: [email-masked]
Subject: Re: [clue] Taxonomy

in-line

On Thu, May 1, 2014 at 7:56 AM, Christian Groves <[email-masked]<mailto:[email-masked]>> wrote:
Hello Stephen,

Please see below.

Regards, Christian

The use cases were just published, and that RFC uses "participant" consistently to mean "person".and "site" to mean room/location.  I don't think anyone will think that "participants" in that RFC are using the RFC4353 definition. If someone did, that would have surfaced in the IETF last call, AD reviews, etc.  It didn't.
[CNG] It didn't come up during review but it did come up in London that we should check the CLUE work against the taxonomy.
[SB] As you know I wasn't there, but I agree that is a good idea.

The requirements document is just entering the editors queue, and uses "participant" exactly once (in the definition of endpoint).  That use cross-references RFC4353.  It consistently uses "users" to describe people.

I propose that we not re-publish the existing RFC, and also that we leave the requirements document usage as it is.  I guess we could use AUTH48 to revise "user" usage, but only if we close on the terminology very quickly.
[CNG] I thinking to re-open the existing RFC or those in the RFC queue. Its not worth the effort to update those as they're largely informative and this isn't a big issue.

Also, I agree that we ought to make sure that the remaining documents are aligned on these basic terms, and that those terms are also used consistently with existing RFCs as much as possible.

"Person information" just doesn't sound right to me though.  "User Information" and "Participant Information" simply sound better. Perhaps that is because I speak American, and not English?
[CNG] I'm not particularly fond of "Person Information" either but I was trying to use "participant" or "user" which already have a definition in the XCON model. I'm just thinking forward and if we do eventually update XCON to include some information related to clue it would seem strange to have a hierarchy:

when RFC6501 talks about User=Participant.
[SB] I'm glad to know its not just me who finds "Person information" a bit off..  Maybe someone can think of a term that reads better.  To some degree, we are constrained because previous RFCs needlessly took an anthropomorphic approach when describing equipment.  IMO that should have been easily been avoided back then, but that ship has sailed.

Stephen Botzko

On Wed, Apr 30, 2014 at 11:06 PM, Christian Groves <[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>> wrote:

    Hello all,

    In cl.2.2.3 of the taxonomy draft there is a definition for the
    term "participant":
    /"A participant is an entity reachable by a single signaling
    address,//
    //   and is thus related more to the signaling context than to the
    media//
    //   context."

    - Where "participant" is used in the text it becomes "person" or
    "people".

    Christian

    _______________________________________________
    clue mailing list
    [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
    https://www.ietf.org/mailman/listinfo/clue